# Class SingleDocApplication

java.lang.Object
jam.framework.Application
jam.framework.SingleDocApplication

public class SingleDocApplication extends Application

## Constructor Summary

Constructors
Constructor
Description
`SingleDocApplication(MenuBarFactory menuBarFactory, String nameString, String aboutString, Icon icon)`
`SingleDocApplication(MenuBarFactory menuBarFactory, String nameString, String aboutString, Icon icon, String websiteURLString, String helpURLString)`
`SingleDocApplication(String nameString, String aboutString, Icon icon)`
`SingleDocApplication(String nameString, String aboutString, Icon icon, String websiteURLString, String helpURLString)`

## Method Summary

Modifier and Type
Method
Description
`void`
`doCloseWindow()`
`DocumentFrame`
`doNew()`
`DocumentFrame`
`doOpenFile(File file)`
`void`
`doQuit()`
`final void`
`initialize()`
`void`
`setDocumentFrame(DocumentFrame documentFrame)`

### Methods inherited from class Application

`addMenuFactory, addPreferencesSection, addRecentFile, displayURL, doAbout, doHelp, doOpen, doOpen, doPageSetup, doPreferences, doWebsite, getAboutAction, getAboutBackground, getAboutForeground, getAboutString, getApplication, getExitAction, getHelpAction, getHelpURLString, getIcon, getMenuBarFactory, getNameString, getNewAction, getOpenAction, getPageSetupAction, getPreferencesAction, getRecentFileMenu, getTitleString, getWebsiteAction, getWebsiteURLString`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SingleDocApplication

public SingleDocApplication(String nameString, String aboutString, Icon icon)

### SingleDocApplication

public SingleDocApplication(String nameString, String aboutString, Icon icon, String websiteURLString, String helpURLString)

### SingleDocApplication

public SingleDocApplication(MenuBarFactory menuBarFactory, String nameString, String aboutString, Icon icon)

### SingleDocApplication

public SingleDocApplication(MenuBarFactory menuBarFactory, String nameString, String aboutString, Icon icon, String websiteURLString, String helpURLString)

## Method Details

### initialize

public final void initialize()

Specified by:
  `initialize` in class `Application`

### setDocumentFrame

public void setDocumentFrame(DocumentFrame documentFrame)

### doNew

public DocumentFrame doNew()

Specified by:
  `doNew` in class `Application`

### doOpenFile

public DocumentFrame doOpenFile(File file)

Specified by:
  `doOpenFile` in class `Application`

### doCloseWindow

public void doCloseWindow()

### doQuit

public void doQuit()

Specified by:
  `doQuit` in class `Application`